Package Gnumed :: Package business :: Module gmPerson :: Class gmCurrentPatient |
[frames] | no frames]

# Class gmCurrentPatient

source code

               object --+
                        |
    pycommon.gmBorg.cBorg --+
                            |
                           gmCurrentPatient

Patient Borg to hold currently active patient.

There may be many instances of this but they all share state.

Instance Methods
__init__(self, patient=None, forced_reload=False) Change or get currently active patient. | source code
register_pre_selection_callback(self, callback=None) | source code
force_unlock(self) | source code
__getattr__(self, attribute) | source code
__getitem__(self, attribute=None) Return any attribute if known how to retrieve it by proxy. | source code
__setitem__(self, attribute, value) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `pycommon.gmBorg.cBorg`: `__new__`

Class Variables
| connected = `property(_get_connected, _set_connected)`
| locked = `property(_get_locked, _set_locked)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, patient=None, forced_reload=False) (Constructor) | source code
Change or get currently active patient. patient: * None: get currently active patient * -1: unset currently active patient * cPatient instance: set active patient if possible Overrides: object.__init__